#ifndef _ISR_H
#define _ISR_H

#include <stdint.h>

typedef struct {
    uint32_t ds, edi, esi, ebp, esp, ebx, edx, ecx, eax;
    uint32_t int_no, err_code;
    uint32_t eip, cs, eflags, useresp, ss;
} regs_t;

void isr_handler(regs_t *r);
void syscall_handler(regs_t *r);

#endif
